package com.qianhe.system.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.qianhe.common.annotation.Excel;
import com.qianhe.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 订单商品对象 water_order_goods
 *
 * @author qianhe
 * @date 2023-11-23
 */
public class WaterOrderGoods extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 订单id */
    @Excel(name = "订单id")
    private Long orderId;

    /** 订单编号 */
    @Excel(name = "订单编号")
    private Long orderNum;

    /** 商品分类id */
    @Excel(name = "商品分类id")
    private String goodsTypeId;

    /** 商品分类 */
    @Excel(name = "商品分类")
    private String goodsType;

    /** 规格详情 */
    @Excel(name = "规格详情")
    private String goodsSpe;

    /** 商品id */
    @Excel(name = "商品id")
    private Long goodsId;

    /** 商品名称 */
    @Excel(name = "商品名称")
    private String goodsTitle;

    /** 商品数量 */
    @Excel(name = "商品数量")
    private BigDecimal goodsNum;

    /** 商品单价 */
    @Excel(name = "商品单价")
    private BigDecimal goodsPrice;

    /** 商品总价 */
    @Excel(name = "商品总价")
    private BigDecimal goodsTotal;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date crateTime;

    /** 创建人 */
    @Excel(name = "创建人")
    private String createUser;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setOrderId(Long orderId)
    {
        this.orderId = orderId;
    }

    public Long getOrderId()
    {
        return orderId;
    }
    public void setOrderNum(Long orderNum)
    {
        this.orderNum = orderNum;
    }

    public Long getOrderNum()
    {
        return orderNum;
    }
    public void setGoodsTypeId(String goodsTypeId)
    {
        this.goodsTypeId = goodsTypeId;
    }

    public String getGoodsTypeId()
    {
        return goodsTypeId;
    }
    public void setGoodsType(String goodsType)
    {
        this.goodsType = goodsType;
    }

    public String getGoodsType()
    {
        return goodsType;
    }
    public void setGoodsSpe(String goodsSpe)
    {
        this.goodsSpe = goodsSpe;
    }

    public String getGoodsSpe()
    {
        return goodsSpe;
    }
    public void setGoodsId(Long goodsId)
    {
        this.goodsId = goodsId;
    }

    public Long getGoodsId()
    {
        return goodsId;
    }
    public void setGoodsTitle(String goodsTitle)
    {
        this.goodsTitle = goodsTitle;
    }

    public String getGoodsTitle()
    {
        return goodsTitle;
    }
    public void setGoodsNum(BigDecimal goodsNum)
    {
        this.goodsNum = goodsNum;
    }

    public BigDecimal getGoodsNum()
    {
        return goodsNum;
    }
    public void setGoodsPrice(BigDecimal goodsPrice)
    {
        this.goodsPrice = goodsPrice;
    }

    public BigDecimal getGoodsPrice()
    {
        return goodsPrice;
    }
    public void setGoodsTotal(BigDecimal goodsTotal)
    {
        this.goodsTotal = goodsTotal;
    }

    public BigDecimal getGoodsTotal()
    {
        return goodsTotal;
    }
    public void setCrateTime(Date crateTime)
    {
        this.crateTime = crateTime;
    }

    public Date getCrateTime()
    {
        return crateTime;
    }
    public void setCreateUser(String createUser)
    {
        this.createUser = createUser;
    }

    public String getCreateUser()
    {
        return createUser;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("orderId", getOrderId())
            .append("orderNum", getOrderNum())
            .append("goodsTypeId", getGoodsTypeId())
            .append("goodsType", getGoodsType())
            .append("goodsSpe", getGoodsSpe())
            .append("goodsId", getGoodsId())
            .append("goodsTitle", getGoodsTitle())
            .append("goodsNum", getGoodsNum())
            .append("goodsPrice", getGoodsPrice())
            .append("goodsTotal", getGoodsTotal())
            .append("remark", getRemark())
            .append("crateTime", getCrateTime())
            .append("createUser", getCreateUser())
            .toString();
    }
}
