package com.qianhe.system.mapper;

import com.qianhe.system.domain.WaterOrder;

import java.util.List;

/**
 * 订单Mapper接口
 * 
 * @author qianhe
 * @date 2023-11-23
 */
public interface WaterOrderMapper 
{
    /**
     * 查询订单
     * 
     * @param id 订单主键
     * @return 订单
     */
    public WaterOrder selectWaterOrderById(Long id);

    /**
     * 查询订单列表
     * 
     * @param waterOrder 订单
     * @return 订单集合
     */
    public List<WaterOrder> selectWaterOrderList(WaterOrder waterOrder);

    /**
     * 新增订单
     * 
     * @param waterOrder 订单
     * @return 结果
     */
    public int insertWaterOrder(WaterOrder waterOrder);

    /**
     * 修改订单
     * 
     * @param waterOrder 订单
     * @return 结果
     */
    public int updateWaterOrder(WaterOrder waterOrder);

    /**
     * 删除订单
     * 
     * @param id 订单主键
     * @return 结果
     */
    public int deleteWaterOrderById(Long id);

    /**
     * 批量删除订单
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteWaterOrderByIds(Long[] ids);
}
