package com.qianhe.system.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qianhe.system.domain.WaterUserAddress;
import com.qianhe.system.mapper.WaterUserAddressMapper;
import com.qianhe.system.service.IWaterUserAddressService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 用户地址Service业务层处理
 *
 * @author qianhe
 * @date 2023-11-23
 */
@Service
public class WaterUserAddressServiceImpl extends ServiceImpl<WaterUserAddressMapper,WaterUserAddress> implements IWaterUserAddressService
{
    @Autowired
    private WaterUserAddressMapper waterUserAddressMapper;

    /**
     * 查询用户地址
     *
     * @param id 用户地址主键
     * @return 用户地址
     */
    @Override
    public WaterUserAddress selectWaterUserAddressById(Long id)
    {
        return waterUserAddressMapper.selectWaterUserAddressById(id);
    }

    /**
     * 查询用户地址列表
     *
     * @param waterUserAddress 用户地址
     * @return 用户地址
     */
    @Override
    public List<WaterUserAddress> selectWaterUserAddressList(WaterUserAddress waterUserAddress)
    {
        return waterUserAddressMapper.selectWaterUserAddressList(waterUserAddress);
    }

    /**
     * 新增用户地址
     *
     * @param waterUserAddress 用户地址
     * @return 结果
     */
    @Override
    public int insertWaterUserAddress(WaterUserAddress waterUserAddress)
    {
        return waterUserAddressMapper.insertWaterUserAddress(waterUserAddress);
    }

    /**
     * 修改用户地址
     *
     * @param waterUserAddress 用户地址
     * @return 结果
     */
    @Override
    public int updateWaterUserAddress(WaterUserAddress waterUserAddress)
    {
        return waterUserAddressMapper.updateWaterUserAddress(waterUserAddress);
    }

    /**
     * 批量删除用户地址
     *
     * @param ids 需要删除的用户地址主键
     * @return 结果
     */
    @Override
    public int deleteWaterUserAddressByIds(Long[] ids)
    {
        return waterUserAddressMapper.deleteWaterUserAddressByIds(ids);
    }

    /**
     * 删除用户地址信息
     *
     * @param id 用户地址主键
     * @return 结果
     */
    @Override
    public int deleteWaterUserAddressById(Long id)
    {
        return waterUserAddressMapper.deleteWaterUserAddressById(id);
    }
}
